var data = 
    [
      {
        "finalFlag" : false,
        "id" : "1167358576486981633",
        "pid" : "0",
        "title" : "马原理",
        "layer" : 1
      },
      {
        "finalFlag" : false,
        "id" : "1167358596959379458",
        "pid" : "0",
        "title" : "毛中特",
        "layer" : 1
      },
      {
        "finalFlag" : false,
        "id" : "1167358624943775745",
        "pid" : "0",
        "title" : "纲要",
        "layer" : 1
      },
      {
        "finalFlag" : false,
        "id" : "1167358661866233858",
        "pid" : "0",
        "title" : "思修法基",
        "layer" : 1
      },
      {
        "finalFlag" : false,
        "id" : "1167358686147059714",
        "pid" : "0",
        "title" : "时政与当代",
        "layer" : 1
      },
      {
        "finalFlag" : true,
        "id" : "1174572528748756994",
        "pid" : "1174572343024975874",
        "title" : "马原理学习项目11:社会基本矛盾及其运动规律",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174572607467454466",
        "pid" : "1174572343024975874",
        "title" : "马原理学习项目12：历史发展的动力及人民群众的作用",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174572655240577026",
        "pid" : "1174572343024975874",
        "title" : "马原理学习项目14：剩余价值及资本积累",
        "layer" : 3
      },
      {
        "finalFlag" : false,
        "id" : "1174574792112635907",
        "pid" : "1167358576486981633",
        "title" : "第一章 马克思主义是关于无产阶级和人类解放的科学",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174574792112635908",
        "pid" : "1167358576486981633",
        "title" : "第二章  世界的物质性及发展规律",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174574792112635909",
        "pid" : "1167358576486981633",
        "title" : "第三章  实践与认识及其发展规律",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174574792112635910",
        "pid" : "1167358576486981633",
        "title" : "第四章  人类社会及其发展规律",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174574792112635911",
        "pid" : "1167358576486981633",
        "title" : "第五章  资本主义的本质及规律",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174574792112635912",
        "pid" : "1167358576486981633",
        "title" : "第六章   资本主义的发展及趋势",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174574792112635913",
        "pid" : "1167358576486981633",
        "title" : "第七章   社会主义社会的发展及其规律",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174574792112635914",
        "pid" : "1167358576486981633",
        "title" : "第八章   共产主义崇高理想及其最终实现",
        "layer" : 2
      },
      {
        "finalFlag" : true,
        "id" : "1174576480710066178",
        "pid" : "1174574792112635907",
        "title" : "第一节 马克思主义的创立和发展",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174576480710066179",
        "pid" : "1174574792112635907",
        "title" : "第二节 马克思主义的鲜明特征和当代价值 ",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174576480710066180",
        "pid" : "1174574792112635908",
        "title" : "第一节 世界的多样性与物质统一性",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174576480710066181",
        "pid" : "1174574792112635908",
        "title" : "第二节 事物的联系和发展 ",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174576480710066182",
        "pid" : "1174574792112635908",
        "title" : "第三节 唯物辩证法是认识世界和改造世界的根本方法 ",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174576480710066186",
        "pid" : "1174574792112635909",
        "title" : "第一节 认识与实践",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174576480710066187",
        "pid" : "1174574792112635909",
        "title" : "第二节 真理与价值 ",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174576480710066188",
        "pid" : "1174574792112635909",
        "title" : "第三节 认识世界和改造世界 ",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174576480710066189",
        "pid" : "1174574792112635910",
        "title" : "第一节 社会基本矛盾及其运动规律",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174576480710066190",
        "pid" : "1174574792112635910",
        "title" : "第二节 社会历史发展的动力",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174576480710066191",
        "pid" : "1174574792112635910",
        "title" : "第三节 人民群众在历史发展中的作用",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174576480710066192",
        "pid" : "1174574792112635911",
        "title" : "第一节 商品经济和价值规律",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174576480710066193",
        "pid" : "1174574792112635911",
        "title" : "第二节 资本主义经济制度的本质",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174576480710066194",
        "pid" : "1174574792112635911",
        "title" : "第三节 资本主义政治制度和意识形态",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174576480710066195",
        "pid" : "1174574792112635912",
        "title" : "第一节 垄断资本主义的形成与发展",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174576480710066196",
        "pid" : "1174574792112635912",
        "title" : "第二节 正确认识当代资本主义的新变化",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174576480710066197",
        "pid" : "1174574792112635912",
        "title" : "第三节 资本主义的历史地位和发展趋势",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174576480710066198",
        "pid" : "1174574792112635913",
        "title" : "第一节 社会主义五百年的历史进程",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174576480710066199",
        "pid" : "1174574792112635913",
        "title" : "第二节 科学社会主义一般原则",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174576480710066200",
        "pid" : "1174574792112635914",
        "title" : "第一节 展望未来共产主义新社会",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174576480710066201",
        "pid" : "1174574792112635914",
        "title" : "第二节 实现共产主义是历史发展的必然趋势",
        "layer" : 3
      },
      {
        "finalFlag" : false,
        "id" : "1174576480710066202",
        "pid" : "1167358596959379458",
        "title" : "第一章 毛泽东思想及其历史地位",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174576480710066203",
        "pid" : "1167358596959379458",
        "title" : "第二章  新民主主义革命理论",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174576480710066204",
        "pid" : "1167358596959379458",
        "title" : "第三章  社会主义改造理论",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174576480710066205",
        "pid" : "1167358596959379458",
        "title" : "第四章  社会主义建设道路初步探索的理论成果",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174576480710066206",
        "pid" : "1167358596959379458",
        "title" : "第五章  邓小平理论",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174576480710066207",
        "pid" : "1167358596959379458",
        "title" : "第六章  “三个代表”重要思想",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174576480710066208",
        "pid" : "1167358596959379458",
        "title" : "第七章   科学发展观",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174576480710066209",
        "pid" : "1167358596959379458",
        "title" : "第八章   习近平新时代中国特色社会主义思想及其历史地位",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174576480710066210",
        "pid" : "1167358596959379458",
        "title" : "第九章   坚持和发展中国特色社会主义的总任务",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174576480710066211",
        "pid" : "1167358596959379458",
        "title" : "第十章   “五位一体”总体布局",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174576480710066212",
        "pid" : "1167358596959379458",
        "title" : "第十一章   “四个全面”战略布局",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174576480710066213",
        "pid" : "1167358596959379458",
        "title" : "第十二章   全面推进国防和军队现代化",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174576480710066214",
        "pid" : "1167358596959379458",
        "title" : "第十三章   中国特色大国外交",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174576480710066215",
        "pid" : "1167358596959379458",
        "title" : "第十四章   坚持和加强党的领导",
        "layer" : 2
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420617",
        "pid" : "1174576480710066202",
        "title" : "第一节 毛泽东思想形成和发展",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420618",
        "pid" : "1174576480710066202",
        "title" : "第二节 毛泽东思想主要内容和活的灵魂",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420619",
        "pid" : "1174576480710066203",
        "title" : "第一节 形成的依据",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420620",
        "pid" : "1174576480710066203",
        "title" : "第二节 总路线和基本纲领",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420621",
        "pid" : "1174576480710066203",
        "title" : "第三节 道路和基本经验",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420622",
        "pid" : "1174576480710066204",
        "title" : "第一节 从新民主主义到社会主义的转变",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420623",
        "pid" : "1174576480710066204",
        "title" : "第二节 社会主义改造道路和历史经验",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420624",
        "pid" : "1174576480710066204",
        "title" : "第三节 社会主义制度在中国的确立",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420625",
        "pid" : "1174576480710066205",
        "title" : "第一节 社会主义建设道路初步探索的重要思想成果",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420626",
        "pid" : "1174576480710066205",
        "title" : "第二节 社会主义建设道路初步探索的意义和经验教训",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420627",
        "pid" : "1174576480710066206",
        "title" : "第一节 邓小平理论的形成",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420628",
        "pid" : "1174576480710066206",
        "title" : "第二节 邓小平理论的基本问题和主要内容",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420629",
        "pid" : "1174576480710066206",
        "title" : "第三节 邓小平理论的历史地位",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420630",
        "pid" : "1174576480710066207",
        "title" : "第一节 “三个代表”重要思想的形成",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420631",
        "pid" : "1174576480710066207",
        "title" : "第二节 “三个代表”重要思想的核心观点和主要内容",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420632",
        "pid" : "1174576480710066207",
        "title" : "第三节 “三个代表”重要思想的历史地位",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420633",
        "pid" : "1174576480710066208",
        "title" : "第一节 科学发展观的形成",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420634",
        "pid" : "1174576480710066208",
        "title" : "第二节 科学发展观的科学内涵和主要内容",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420635",
        "pid" : "1174576480710066208",
        "title" : "第三节 科学发展观的历史地位",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420636",
        "pid" : "1174576480710066209",
        "title" : "第一节 中国特色社会主义进入新时代",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420637",
        "pid" : "1174576480710066209",
        "title" : "第二节 习近平新时代中国特色社会主义思想的主要内容",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420638",
        "pid" : "1174576480710066209",
        "title" : "第三节 习近平新时代中国特色社会主义思想的历史地位",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420639",
        "pid" : "1174576480710066210",
        "title" : "第一节 实现中华民族伟大复兴的中国梦",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420640",
        "pid" : "1174576480710066210",
        "title" : "第二节 建成社会主义现代化强国的战略安排",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420641",
        "pid" : "1174576480710066211",
        "title" : "第一节 建设现代化经济体系",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420642",
        "pid" : "1174576480710066211",
        "title" : "第二节 发展社会主义民主政治",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420643",
        "pid" : "1174576480710066211",
        "title" : "第三节 推动社会主义文化繁荣兴盛",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420644",
        "pid" : "1174576480710066211",
        "title" : "第四节 坚持在发展中保障和改善民生",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420645",
        "pid" : "1174576480710066211",
        "title" : "第五节 建设美丽中国",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420646",
        "pid" : "1174576480710066212",
        "title" : "第一节 全面建成小康社会",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420647",
        "pid" : "1174576480710066212",
        "title" : "第二节 全面深化改革",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420648",
        "pid" : "1174576480710066212",
        "title" : "第三节 全面依法治国",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420649",
        "pid" : "1174576480710066212",
        "title" : "第四节 全面从严治党",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420650",
        "pid" : "1174576480710066213",
        "title" : "第一节 坚持走中国特色强军之路",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420651",
        "pid" : "1174576480710066213",
        "title" : "第二节 推动军民融合深度发展",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420652",
        "pid" : "1174576480710066214",
        "title" : "第一节 坚持和平发展道路",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420653",
        "pid" : "1174576480710066214",
        "title" : "第二节 推动构建人类命运共同体",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420654",
        "pid" : "1174576480710066215",
        "title" : "第一节 实现中华民族伟大复兴关键在党",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420655",
        "pid" : "1174576480710066215",
        "title" : "第二节 坚持党对一切工作的领导",
        "layer" : 3
      },
      {
        "finalFlag" : false,
        "id" : "1174601723885420656",
        "pid" : "1167358624943775745",
        "title" : "第一章 反对外国侵略的斗争",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174601723885420657",
        "pid" : "1167358624943775745",
        "title" : "第二章 对国家出路的早期探索",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174601723885420658",
        "pid" : "1167358624943775745",
        "title" : "第三章 辛亥革命与君主专制制度的终结",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174601723885420659",
        "pid" : "1167358624943775745",
        "title" : "第四章 开天辟地的大事变",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174601723885420660",
        "pid" : "1167358624943775745",
        "title" : "第五章 中国革命的新道路",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174601723885420661",
        "pid" : "1167358624943775745",
        "title" : "第六章 中华民族的抗日战争",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174601723885420662",
        "pid" : "1167358624943775745",
        "title" : "第七章 为新中国而奋斗",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174601723885420663",
        "pid" : "1167358624943775745",
        "title" : "第八章 社会主义基本制度在中国的确立",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174601723885420664",
        "pid" : "1167358624943775745",
        "title" : "第九章 社会主义建设在探索中曲折发展",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174601723885420665",
        "pid" : "1167358624943775745",
        "title" : "第十章 中国特色社会主义的开创与接续发展",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174601723885420668",
        "pid" : "1167358624943775745",
        "title" : "第十一章 中国特色社会主义进入新时代",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174601723885420669",
        "pid" : "1167358661866233858",
        "title" : "第一章 人生的青春之问",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174601723885420670",
        "pid" : "1167358661866233858",
        "title" : "第二章 坚定理想信念",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174601723885420671",
        "pid" : "1167358661866233858",
        "title" : "第三章 弘扬中国精神",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174601723885420672",
        "pid" : "1167358661866233858",
        "title" : "第四章 践行社会主义核心价值观",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174601723885420673",
        "pid" : "1167358661866233858",
        "title" : "第五章 明大德守公德严私德",
        "layer" : 2
      },
      {
        "finalFlag" : false,
        "id" : "1174601723885420674",
        "pid" : "1167358661866233858",
        "title" : "第六章 尊法学法守法用法",
        "layer" : 2
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420675",
        "pid" : "1167358686147059714",
        "title" : "形势与政策",
        "layer" : 2
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420676",
        "pid" : "1167358686147059714",
        "title" : "当代世界经济与政治",
        "layer" : 2
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420677",
        "pid" : "1174601723885420656",
        "title" : "第一节 资本-帝国主义对中国的侵略及近代中国社会性质的演变",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420678",
        "pid" : "1174601723885420656",
        "title" : "第二节 抵御外国武装侵略，争取民族独立的斗争",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420679",
        "pid" : "1174601723885420656",
        "title" : "第三节 反侵略战争的失败与民族意识的觉醒",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420680",
        "pid" : "1174601723885420657",
        "title" : "第一节 农民群众斗争风暴的起落",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420681",
        "pid" : "1174601723885420657",
        "title" : "第二节 洋务运动的兴衰",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420682",
        "pid" : "1174601723885420657",
        "title" : "第三节 维新运动的兴起和夭折",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420683",
        "pid" : "1174601723885420658",
        "title" : "第一节 举起近代民主主义革命的旗帜",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420684",
        "pid" : "1174601723885420658",
        "title" : "第二节 辛亥革命与建立民国",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420685",
        "pid" : "1174601723885420658",
        "title" : "第三节 辛亥革命的失败",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420686",
        "pid" : "1174601723885420659",
        "title" : "第一节 新文化运动和五四运动",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420687",
        "pid" : "1174601723885420659",
        "title" : "第二节 马克思主义的进一步传播与中国共产党的诞生",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420688",
        "pid" : "1174601723885420659",
        "title" : "第三节 中国革命的新局面",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420689",
        "pid" : "1174601723885420660",
        "title" : "第一节 对革命新道路的艰苦探索",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420690",
        "pid" : "1174601723885420660",
        "title" : "第二节 中国革命在探索中曲折前进",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420691",
        "pid" : "1174601723885420661",
        "title" : "第一节 日本发动灭亡中国的侵略战争",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420692",
        "pid" : "1174601723885420661",
        "title" : "第二节 中国人民奋起抗击日本侵略者",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420693",
        "pid" : "1174601723885420661",
        "title" : "第三节 国民党与抗日的正面战场",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420694",
        "pid" : "1174601723885420661",
        "title" : "第四节 中国共产党成为抗日战争的中流砥柱",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420695",
        "pid" : "1174601723885420661",
        "title" : "第五节 抗日战争的胜利及其意义",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420696",
        "pid" : "1174601723885420662",
        "title" : "第一节 从争取和平民主导 进行自卫战争",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420697",
        "pid" : "1174601723885420662",
        "title" : "第二节 国民党政府处在全民的包围中",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420698",
        "pid" : "1174601723885420662",
        "title" : "第三节 中国共产党与民主党派的合作",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420699",
        "pid" : "1174601723885420662",
        "title" : "第四节 创建人民民主专政的新中国",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420700",
        "pid" : "1174601723885420663",
        "title" : "第一节 从新民主主义向社会主义过渡的开始",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420701",
        "pid" : "1174601723885420663",
        "title" : "第二节 选择社会主义道路",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420702",
        "pid" : "1174601723885420663",
        "title" : "第三节 有中国特点的向社会主义过渡的道路",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420703",
        "pid" : "1174601723885420664",
        "title" : "第一节 良好的开局",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420704",
        "pid" : "1174601723885420664",
        "title" : "第二节 探索中的严重曲折",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420705",
        "pid" : "1174601723885420664",
        "title" : "第三节 建设的成就，探索的成果",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420706",
        "pid" : "1174601723885420665",
        "title" : "第一节 历史性的伟大转折和改革开放的起步",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420707",
        "pid" : "1174601723885420665",
        "title" : "第二节 改革开放和现代化建设新局面的展开",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420708",
        "pid" : "1174601723885420665",
        "title" : "第三节 中国特色社会主义事业跨世纪发展",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420709",
        "pid" : "1174601723885420665",
        "title" : "第四节 在新的历史起点上推进中国特色社会主义",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420710",
        "pid" : "1174601723885420668",
        "title" : "第一节 开拓中国特色社会主义更为广阔的发展前景",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420712",
        "pid" : "1174601723885420668",
        "title" : "第三节 夺取新时代中国特色社会主义伟大胜利",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420713",
        "pid" : "1174601723885420669",
        "title" : "第一节 人生观是对人生的总看法",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420714",
        "pid" : "1174601723885420669",
        "title" : "第二节 正确的人生观",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420715",
        "pid" : "1174601723885420669",
        "title" : "第三节 创造有意义的人生",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420716",
        "pid" : "1174601723885420670",
        "title" : "第一节 理想信念的内涵及重要性",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420717",
        "pid" : "1174601723885420670",
        "title" : "第二节 崇高的理想信念",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420718",
        "pid" : "1174601723885420670",
        "title" : "第三节 在实现中国梦的实践中放飞青春梦想",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420719",
        "pid" : "1174601723885420671",
        "title" : "第一节 中国精神是兴国强国之魂",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420720",
        "pid" : "1174601723885420671",
        "title" : "第二节 爱国主义及其时代要求",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420721",
        "pid" : "1174601723885420671",
        "title" : "第三节 让改革创新成为青春远航的动力",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420722",
        "pid" : "1174601723885420672",
        "title" : "第一节 全体人民共同的价值追求",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420723",
        "pid" : "1174601723885420672",
        "title" : "第二节 坚定价值观自信",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420724",
        "pid" : "1174601723885420672",
        "title" : "第三节 做社会主义核心价值观的积极践行者",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420725",
        "pid" : "1174601723885420673",
        "title" : "第一节 道德及其变化发展",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420726",
        "pid" : "1174601723885420673",
        "title" : "第二节 吸收借鉴优秀道德成果",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420727",
        "pid" : "1174601723885420673",
        "title" : "第三节 遵守公民道德准则",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420728",
        "pid" : "1174601723885420673",
        "title" : "第四节 向上向善、知行合一",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420729",
        "pid" : "1174601723885420674",
        "title" : "第一节 社会主义法律的特征和运行",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420730",
        "pid" : "1174601723885420674",
        "title" : "第二节 以宪法为核心的中国特色社会主义法律体系",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420731",
        "pid" : "1174601723885420674",
        "title" : "第三节 建设中国特色社会主义法治体系",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420732",
        "pid" : "1174601723885420674",
        "title" : "第四节 坚持走中国特色社会主义法治道路",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420733",
        "pid" : "1174601723885420674",
        "title" : "第五节 培养社会主义法治思维",
        "layer" : 3
      },
      {
        "finalFlag" : true,
        "id" : "1174601723885420734",
        "pid" : "1174601723885420674",
        "title" : "第六节 依法行使权利与履行义务",
        "layer" : 3
      },
      {
        "finalFlag" : false,
        "id" : "1176730974172504066",
        "pid" : "1176730875061100546",
        "title" : "测试01节",
        "layer" : 2
      },
      {
        "finalFlag" : true,
        "id" : "1176731011451478018",
        "pid" : "1176730974172504066",
        "title" : "测试001节",
        "layer" : 3
      }
];

// 建立 ID-数组索引映射关系
const idMapping = data.reduce((acc, el, i) => {
    acc[el.id] = i;
    return acc;
}, {});
// 构造树形结构
let root=[];
data.forEach(el => {
    // 判断根节点
    if (el.pid === '0') {
        root.push(el);
        return;
    }
    // 用映射表找到父元素
    const parentEl = data[idMapping[el.pid]];
    if(parentEl!==undefined){
        // 把当前元素添加到父元素的`children`数组中
        parentEl.children = [...(parentEl.children || []), el];
    }
});

console.log(root);
